<?php
/**
* フィルタを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface charcoal_IFilter
{
	/**
	 *  フィルタ名を取得
	 */
	public function getFilterName();

	/**
	 *  フィルタを初期化
	 */
	public function init( charcoal_Config $config );

	/**
	 *  フィルタリング
	 */
	public function filter( charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response );
}